.TH FTE 1
.SH NAME
fte \- Text editor
.SH SYNOPSIS
.B fte
.I " [[options] files ...]"
.BR

.B xfte
.I "[[options] files ...]"
.BR

.B vfte
.I "[[options] files ...]"
.BR

.B nfte
.I "[[options] files ...]"
.BR

.B sfte
.I "[[options] files ...]"
.BR
.\" .I "[[options] files ...]"
.SH "DESCRIPTION"
This manual page documents briefly the
.BR "fte" .

Some detailed documentation is available html format, see below.
.PP
.B fte
is a powerful text editor which closely resembles Borlands programming
editors for M$\-DOS, but is far more flexible and configurable.
.SH OPTIONS
.BR fte
uses a command line syntax, which is a little bit different from
most of Debian GNU/Linux apps.
.TP
.B \-h \-? \--help
Help on command line options.
.TP
.B \-!
Ignore any external configuration file and use internal configuration.
.TP
.BI \-l <line>[,<column>]
Go to line (and column) in next file on command line.
.TP
.BI \-# <line>[<,column>]
Same as \fB-l\fP. Do not use this option.
.TP
.BI \-m [<mode>]
Set mode for next files to <mode>. If just plain \fB\-m\fP,
then use default mode.
.TP
.BI \-C [<.cnf>]
Use specified configuration file (compiled). Plain \fB\-C\fP does the same as
\fB\-!\fP.
.TP
.BI \-D [<.dsk>]
Load/save desktop from file <.dsk>. If no argument, disable
desktop load/save.
.TP
.BI \-H [<.his>]
Load/save history from file <.his>. If no argument, disable
history load/save.
.TP
.BI \-T <tagfile>
Load 'tagfile' at startup.
.TP
.BI \-t <tag>
Lookup tag 'tag' and display file containing it.
.TP
.B \-\-
The rest of the arguments are not options, but filenames.
.TP
.B \-+
The next argument is not an option even if starting with a '-'.
Useful when loading files that begin with a -.
.TP
.B \-noi18n
Do not use locales in \fBxfte\fP - useful if you have incorrect locales.
.TP
.B \-noxmb
Do not use XMB functions in \fBxfte\fP - useful if you have incorrect locales
and you want to use just english fonts.
.TP
.B \-font
Select XWindow font to use with \fBxfte\fP. See \fBVIOFONT\fP also.

.SH ENVIRONMENTAL VARIABLES
This is list of variable which might change behavior of some \
internals of \fBfte\fP.
.TP
\fBVIOFONT\fP \- select font used by xfte
.TP
\fBISOCONSOLE\fP \- when set, vfte is usign ascii symbols to draw tables. \
This is useful when iso latin charset is used on console.

.SH EXAMPLES
.TP
.BI "fte \-m" "BIN /usr/bin/vfte"
load /usr/bin/vfte in BIN mode
.TP
\fBfte \-m\fP\fIBIN\fP \fB\-+\fP \fI\-bla\-\fP
load file \-bla\- in BIN mode
.TP
.BI "fte \-l" "100,30 win.c"
go to (100,30) in win.c
.TP
.BI fte " window.cpp"
load file window.cpp
.TP
.BI "fte \-\-" " \-1 \-2 \-3 \-4 \-5 \-6"
load files \-1, \-2, \-3, \-4, \-5, \-6
.TP
.BI "fte \-D \-H" " fte.dsk fte.his"
disable desktop and history loading and saving and load files
fte.dsk and fte.his
.SH FILES
.I ~/.fterc
.br
.BI /usr/local/etc/ fte/system.fterc
.br
.BI /etc/ fte/system.fterc

Default configuration files. Includes all keybindings and menus
compiled with
.BR "cfte"(1)
from config files in \fB/usr/share/doc/\fP\fIfte/config-example.tar.gz\fP.
.SH "SEE ALSO"
.BR cfte (1),
.BI /usr/share/doc/ fte/contents.html
.SH AUTHORS
This manual page was written by Riku Voipio and Zdenek Kabelac
<riku.voipio@iki.fi> <kabi@debian.org> for the Debian GNU/Linux system.
.SH DATE
18 Nov 1999
